package com.tiffintom.fragment;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.tiffintom.R;
import com.tiffintom.base.BaseFragment;

public class FragmentUpdateApp extends BaseFragment {

    private Button btnUpdate;

    public static FragmentUpdateApp getInstance() {
        return new FragmentUpdateApp();
    }

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        return inflater.inflate(R.layout.fragment_update_app, container, false);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        setListners();
    }

    private void setListners() {
        btnUpdate.setOnClickListener(view -> {
            Intent i = new Intent(Intent.ACTION_VIEW);
            i.setData(Uri.parse("https://play.google.com/store/apps/details?id=com.tiffintom"));
            startActivity(i);
        });
    }

    @Override
    protected void initViews(View view) {
        super.initViews(view);
        btnUpdate = view.findViewById(R.id.btnUpdateApp);
    }
}
