package com.tiffintom.models.DineinModels;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;
import java.util.Objects;

/**
 * Created by Aradhna on 28-12-2021.
 */
@Entity
public class Addon {
    @NonNull
    @PrimaryKey
    public String id;
    @ColumnInfo(index = true)
    public String parent_id;//": null,
    public String name;//": "Burger Addons",
    public String image;//": "",
    public float price;//": 0,
    public float takeaway_price;//": 0,
    public float web_price;//": 0,
    public float delivery_price;//": 0,
    public float waiting_price;//": 0,
    public String sequence;//": 6,
    public String disabled;//": false,
    public String created_at;//": "2021-08-27T09:57:07.000000Z",
    public String title;//": "Burger Addons",
    public String key;//": 6,

    public String category;//cutome variable
    @Ignore
    public ArrayList<Addon> children;

    //Custome varibales
    @Ignore
    public boolean selected;
    @Ignore
    public float selected_price;


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Addon addon = (Addon) o;
        return Objects.equals(id, addon.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}
