package com.tiffintom.models.DineinModels;

import androidx.annotation.NonNull;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

/**
 * Created by Aradhna on 27-12-2021.
 */
@Entity
public class ProductIngredients {
    @PrimaryKey
    @NonNull
    public int id;//": 5,
    public int product_id;//": 35,
    public int ingredient_id;//": 4,
    public boolean with;//": true,
    public boolean without;//": true,
    public int sequence;//": 5,
    public boolean disabled;//": false,
    public String created_at;//": "2021-08-27T10:39:10.000000Z",
    public String ingredient_name;//": "Chicken ",
    public float price;//": "0.00",
    public float price_without;//": "0.00"
    @Ignore
    public int quantity = 0;//custome variable
    @Ignore
    public boolean selected, isAlreadyRemoved;//custome variable
}
