package com.tiffintom.models;
import com.tiffintom.common.Validators;

import java.util.ArrayList;
import java.util.Objects;

/**
 * Created by Amrish on 22-08-2020.
 */
public class MenuItemNew {
    public int id;//: 256,
    public int parent_id;//: 256,
    public int restaurant_id;//: 3,
    public String menu_name;//: "Meat Samosa",//got from addon call
    public String menu_description;//: "",////got from addon call
    public String menu_image;//: null,//got from adddon call'
    public String menu_type;//: "veg",
    public String category_name;//": "Traditional Dishes",
    public String category_seo;//": "traditional-dishes",
    public String sortorder;//": 0,
    public String description;//": "Traditional Dishes, its amazing combination of all special dishes",
    public boolean status;//": true,
    public String delete_status;//": "N",
    public String created;//": "2014-09-18T12:36:00.000000Z",
    public String modified;//": "2021-09-09T06:41:11.000000Z",
    public String product_percentage;
    public String image_url;
    public String thumb_url;
    public ArrayList<Variant> menu_details, dinein_menu_details;
    public ArrayList<Menu> menu;
    public ArrayList<Menu> dine_menu;
    public boolean showImage; // custom variable
    //  public boolean is_featured;//:false,//custome variable


    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        MenuItemNew menuItem = (MenuItemNew) o;
        return id == menuItem.id;
    }

    public float getProductPercentage() {
        if (Validators.isNullOrEmpty(product_percentage)) {
            return 0;
        } else {
            return Float.parseFloat(product_percentage);
        }
    }

    @Override
    public int hashCode() {
        return Objects.hash(id)
                ;
    }
}