package com.tiffintom.models;

import java.util.ArrayList;

/**
 * Created by Amrish on 07-09-2020.
 */
public class OrderDetail {
    public int id;//: 1968,
    public String order_number;//: "ORD001968",
    public int restaurant_id;//: 9,
    public int customer_id;//: 143151,
    public int driver_id;//: 0,
    public String ref_number;//: "",
    public String customer_name;//: "January",
    public String customer_email;//: "yu@yu.yu",
    public String customer_phone;//: "1478523690",
    public String source_latitude;//: "52.4872512",
    public String source_longitude;//: "-1.7930085",
    public String destination_latitude;//: "52.487",
    public String destination_longitude;//: "-1.79221",
    public String flat_no;//: "This",
    public String google_address;//: "",
    public String address;//: "This,Kitts Green Road, BIRMINGHAM",
    public String landmark;//: "",
    public String state_name;//: "",
    public String city_name;//: "",
    public String location_name;//: "",
    public String user_type;//: "Guest",
    public String order_type;//: "delivery",
    public String assoonas;//: "",
    public String order_description;//: "",
    public String delivery_date;//: "2020-09-04T00:00:00+00:00",
    public String delivery_time;//: "03:30 PM",
    public String delivery_time_slot;//: "",
    public String delivered_time;//: "",
    public float offer_percentage;//: 0,
    public float offer_amount;//: 0,
    public float day_offer;//: 0,
    public float tax_percentage;//: 0,
    public float tax_amount;//: 0,
    public float delivery_charge;//: 0,
    public float service_charge;//: 0.5,
    public String voucher_code;//: "",
    public float voucher_percentage;//: 0,
    public float voucher_amount;//: 0,
    public String tip_percentage;//: "",
    public float tip_amount;//: 0,
    public float gratuity;//: 0,
    public float order_sub_total;//: 10.99,
    public float order_grand_total;//: 11.49,
    public float cardfee_percentage;//: 0,
    public float cardfee_price;//: 0,
    public String payment_status;//: "P",
    public String payment_method;//: "Stripe",
    public int card_id;//: 72,
    public String payment_wallet;//: "",
    public String paid_full;//: "",
    public String split_payment;//: "No",cart_view
    public float wallet_amount;//: 0,
    public String transaction_id;//: "pi_1HNfIyKgAij6PRAuiV2DacXY",
    public String reward_used;//: "N",
    public String distance;//: "",
    public String driver_invoice;//: "0",
    public String driver_invoice_number;//: "",
    public String driver_deliver_date;//: null,
    public float driver_charge;//: 0,
    public String failed_reason;//: "",
    public float order_point;//: 0,
    public float spent_point;//: 0,
    public float reward_offer;//: 0,
    public float reward_offer_percentage;//: 0,
    public String stripe_customerid;//: "",
    public String payerID;//: "",
    public String paymentToken;//: "",
    public String paymentID;//: "",
    public String order_proof;//: "",
    public String payout_type;//: "",
    public float payout_amount;//: 0,
    public String status;//: "Delivered",
    public String type;//: "Android",
    public String created;//: "2020-09-04T14:49:29+01:00",
    public String modified;//: "2020-09-07T12:25:09+01:00",
    public String completed_time;//: "2020-09-07T00:00:00+01:00",
    public String preparation;//: "",
    public int dont_bell;//: 0,
    public int dont_cutlery;//: 0,
    public int is_favourite;//: 0,
    public int charity_amount;//: 0,
    public int driver_tip;//: 0,
    public String charity_message;//: "",
    public String delivery_instruction;//: "",

    public Review reviews;

    public ArrayList<HistoryCart> cart_view, dinein_carts;
    public SavedCard cardDetails;
    public Restaurant restaurant;

    public class Restaurant {
        public String restaurant_name, id, restaurant_logo, street_address, restaurant_phone;
    }
}
