package com.tiffintom.models;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

/**
 * Created by Amrish on 19-08-2020.
 */
public class Restaurant {
    public int id;// 6;
    public int user_id;// 10;
    public String contact_name;// "sultans";
    public String contact_phone;// "1234567890";
    public String contact_email;// "kctech@yopmail.com";
    public String contact_address;// "110 Caldmore Road,Walsall WS1 3RB";
    public String sourcelatitude;// "52.5782226";
    public String sourcelongitude;// "-1.981799";
    public String street_address;// "110 Caldmore Road,Walsall";
    public int country_id;// 2;
    public String currency;// "£";
    public String timezone;// "Europe/London";
    public String currency_code;// "GBP";
    public int state_id;// 0;
    public String city_id;// "Walsall";
    public int location_id;// 0;
    public String zipcode;// "WS1 3RB";
    public String restaurant_name;// "sultans";
    public String seo_url;// "sultans";
    public String restaurant_phone;// "1234567890";
    public String working_time;// "both";
    public String restaurant_status;// "both";
    public String monday_first_opentime;// "05:00 PM";
    public String monday_first_closetime;// "11:59 PM";
    public String monday_second_opentime;// "12:00 AM";
    public String monday_second_closetime;// "03:00 AM";
    public String tuesday_first_opentime;// "05:00 PM";
    public String tuesday_first_closetime;// "11:59 PM";
    public String tuesday_second_opentime;// "12:00 AM";
    public String tuesday_second_closetime;// "03:00 AM";
    public String wednesday_first_opentime;// "05:00 PM";
    public String wednesday_first_closetime;// "11:59 PM";
    public String wednesday_second_opentime;// "12:00 AM";
    public String wednesday_second_closetime;// "03:00 AM";
    public String thursday_first_opentime;// "05:00 PM";
    public String thursday_first_closetime;// "11:59 PM";
    public String thursday_second_opentime;// "12:00 AM";
    public String thursday_second_closetime;// "03:00 AM";
    public String friday_first_opentime;// "05:00 PM";
    public String friday_first_closetime;// "11:59 PM";
    public String friday_second_opentime;// "12:00 AM";
    public String friday_second_closetime;// "03:00 AM";
    public String saturday_first_opentime;// "12:00 AM";
    public String saturday_first_closetime;// "08:30 AM";
    public String saturday_second_opentime;// "12:00 PM";
    public String saturday_second_closetime;// "12:00 PM";
    public String sunday_first_opentime;// "05:00 PM";
    public String sunday_first_closetime;// "11:59 PM";
    public String sunday_second_opentime;// "12:00 AM";
    public String sunday_second_closetime;// "03:00 AM";  //03:00 AM
    public String monday_status;// "";
    public String tuesday_status;// "";
    public String wednesday_status;// "";
    public String thursday_status;// "";
    public String friday_status;// "";
    public String saturday_status;// "";
    public String sunday_status;// "";
    public float restaurant_tax;// 0; //amount
    public String pickup_estimate_time;// "20";
    public String restaurant_cuisine;// "2,18,21,22"; //cuisines booking_id
    public String restaurant_visibility;// "both"; // FOS, external, both
    public String restaurant_dispatch;// "No"; // Else Yes
    public String online_order;// "Yes"; // Else No
    public String restaurant_pickup;// "Yes"; // Else No
    public String restaurant_delivery;// "Yes"; // Else No
    public String restaurant_booktable;// "Yes"; // Else No
    public String image_type;// "No"; // Menu Image (Yes, No)
    public String restaurant_about;// "Home WS1 Walsall Sultan's Restaurant & Takeaway. ... 110 Caldmore Road, Walsall, WS1 3RB. ... Welcome to Sultan's Restaurant & Takeaway, located on Caldmore Road, Walsall, serving Indian Food.";
    public String username;// "zedh247@yahoo.co.u`k";
    public String estimate_time;// "45"; //Delivery estimate time
    public float minimum_order;// 10; //minimum order value

    public String image_url;// "https://storage.tiffintom.com/net/storeImages/6/storeLogo/13737455311537002930.png";
    public String logo_name;// "13737455311537002930.png";
    public String reward_option;// "Yes";
    public String status;// "1";

    public float service_charge;// 0; //amount
    public int service_charge_type;// 0; //0 ;// percentage, 1;//flat
    public String stripe_description;// "sultans Cald online";
    public String stripe_descriptor;// "sultans Cald online";
    public String close;// "1";
    public String servicecharge_delivery;// 1; //1;//true 0;//false
    public String servicecharge_picked;// 1;  //1;//true 0;//false

    public String food_rating;// Rating Script;

    @SerializedName("new")
    public String is_new;// "1"; //1;//new 0;//false (if 1 then show NEW)
    public String is_featured;// "1";
    public String alcahol_available;// "0";
    public String alcahol_not_available;// "0";
    public String bring_your_alcahol;// "0";
    public String soft_drink;// "0";
    public String checkout_message;// "";
    public boolean driver_tip;// 0; // true false
    public int payment_plan;// 1; //booking_id
    public int smart_mps_id;// 0;
    public String RTC;// "No";
    public String delivery_charge;// 0;, No for visibility
    public float deliveryCharges;// 0;,"Yes" //  /search ma delivery_charge ma amount int avtu htu
    public String wallet_payment;// "No";
    public String otp;// "169268";
    public String verify_email;// "0";
    public String dine_in;// "1";
    public String qr_code;// "";
    public String gratuity;// "0";
    public String dinein_stripe_description;// "";
    public String dinein_stripe_descriptor;// "";
    public String dinein_wallet_payment;// "No";
    public float dinein_service_charge;// 0; //amount
    public boolean dinein_service_charge_type;// "0"; //0 ;// percentage, 1;//flat
    public float dinein_restaurant_commission;// 0; //amount
    public float distance;

    public int totalRating;
    public int no_order_count;
    public String cuisineLists;
    public float average_rating;
    public String currentStatus; //Closed  open
    public int openclose; //2 , 0
    public Float paypal_minimum_order;//50

    public RestaurantTiming restaurant_timing;
    public ArrayList<DeliverySetting> delivery_setting;
    public ArrayList<Promotion> promotions;
    public ArrayList<MultiplePriceOffer> multiple_price_offers =new ArrayList<>();;
    public ArrayList<Offer> offers=new ArrayList<>();;
    public ArrayList<DayOffer> day_offers =new ArrayList<>();;
    public ArrayList<DayProductOffer> day_product_offers =new ArrayList<>();;
    public ArrayList<DayPriceOffer> day_price_offers =new ArrayList<>();;
    public ArrayList<ProductOffer> product_offers =new ArrayList<>();;
    public ArrayList<PriceOffer> price_offers =new ArrayList<>();;
    public ArrayList<OfferText> offer_texts=new ArrayList<>();;
    public ArrayList<Review> reviews=new ArrayList<>();
    public ArrayList<MenuItem> restaurant_menus, dinein_restaurant_menus;
    public ArrayList<MenuItemNew> new_restaurant_menu=new ArrayList<>();
    public ArrayList<MenuItemNew> new_dinein_restaurant_menus=new ArrayList<>();
    public ArrayList<Category> menusDetails;
    public ArrayList<DefaultInstructions> checkout_list=new ArrayList<>();
    public ArrayList<Voucher> voucherLists=new ArrayList<>();
    public ArrayList<RestaurantPaymentMethod> payment_methods;
    public int is_favourite; //custom made for frontend only
    public  ArrayList<String> allergies=new ArrayList<>();
    public TimeSlots delivery_time_slot, pickup_time_slot;
    public Business business;
    public SiteSettings site_setting;
    public ArrayList<TimeSlots> timeSlots=new ArrayList<>();
}
