package com.tiffintom.utils;

/**
 * Created by Amrish on 10-08-2020.
 */
public class Constants {
    public static final int CODE_CARD_SCANNER = 20;
    public static int CODE_REFRESH = 5;
    public static int CODE_MESSAGE = 50;
    public static int CODE_PAYPAL = 10;
    public static int CODE_GOOGLE_LOGIN = 11;
    public static int CODE_FILE_PICKER = 15;
    public static int CODE_IMAGE_PICKER = 14;
    public static int CODE_CAMERA_PICKER = 15;
    public static int CODE_NO_INTERNET = 404;
    public static final int PERMISSION_CODE_LOCATION = 99;
    public static int PERMISSION_CODE_STORAGE = 100;

    public static int FILTER_CLEAR = -1;
    public static int FILTER_NONE = 0;
    public static int FILTER_POPULAR = 1;
    public static int FILTER_DISTANCE_LOW_HIGH = 2;
    public static int FILTER_DISTANCE_HIGH_LOW = 3;
    public static int FILTER_RATING_HIGH_LOW = 4;
    public static int FILTER_RATING_LOW_HIGH = 5;
    public static int FILTER_MIN_ORDER_LOW_HIGH = 6;
    public static int FILTER_MIN_ORDER_HIGH_LOW = 7;

    public static String CART_UPDATE = "cart_update";
    public static String NET_UPDATE = "net_update";
    public static String CHAT_COUNT_UPDATE = "chat_count_update";
    public static String TOAST_UPDATE = "toast_message_update";
    public static String INTERNET_CONNECTIVITY = "internet_connectivity";
    public static String FILTER_POPULAR_STRING = "Most Popular";
    public static String FILTER_DISTANCE_LOW_HIGH_STRING = "Distance"; // "Distance: Near to Far";
    public static String FILTER_DISTANCE_HIGH_LOW_STRING = "Distance: Far to Near"; // "Distance: Far to Near";
    public static String FILTER_RATING_HIGH_LOW_STRING = "Rating"; // "Rating: High to Low";
    public static String FILTER_RATING_LOW_HIGH_STRING = "Rating: Low to High"; // "Rating: Low to High";
    public static String FILTER_MIN_ORDER_LOW_HIGH_STRING = "Minimum order: Low to High"; // "Minimum order: Low to High";
    public static String FILTER_MIN_ORDER_HIGH_LOW_STRING = "Minimum order: High to Low"; // "Minimum order: High to Low";
}
