package com.tiffintom.models;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import java.util.Objects;

/**
 * Created by Amrish on 24-08-2020.
 */
@Entity
public class CartItem {
    @PrimaryKey(autoGenerate = true)
    public int cartItemId;
    public int id; // menu price booking_id
    public int menu_id;//: "553",
    public int res_id;//: "6",
    public String menu_name;//: "Veg Somosa",
    public String menu_type;//: "veg",
    public String menu_size;//: "",
    public float Menu_price;//: "0.70",
    public String Addon_name;//: "",
    public float Addon_price;//: "0",
    public int quantity;//: "2",
    public float Total;//: "1.4",
    public String instruction;//: ""
    public String mainAddons;//: ""

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        CartItem cartItem = (CartItem) o;
        return menu_id == cartItem.menu_id;
    }

    @Override
    public int hashCode() {
        return Objects.hash(menu_id);
    }
}
