package com.tiffintom.models;

import com.tiffintom.models.DineinModels.Children;

import java.util.ArrayList;
import java.util.Objects;

/**
 * Created by Amrish on 19-08-2020.
 */
public class Category {
    private String title, id, image;

    public Category() {
    }

    public Category(String title, int id) {
        this.category_name = title;
        this.category_id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String category_name;//": "Starters",
    public int category_id;//": 29,
    public String status;//": "1",
    public String delete_status;//": "N",

    public ArrayList<Menu> menu;
    public ArrayList<Children> children = new ArrayList<>();//customer veriable for dine in use

    @Override
    public String toString() {
        return title;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Category category = (Category) o;
        return category_id == category.category_id;
    }

    @Override
    public int hashCode() {
        return Objects.hash(category_id);
    }
}
