package com.tiffintom.models;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

import com.tiffintom.models.DineinModels.OrderItemAddon;
import com.tiffintom.models.DineinModels.OrderItemIngredient;

import java.util.ArrayList;
import java.util.Objects;

/**
 * Created by Amrish on 24-08-2020.
 */
@Entity
public class DineinCartItem {
    @PrimaryKey(autoGenerate = true)
    public int dineInCartItemId;
    public int id; // menu price booking_id // menu_details booking_id
    public int menu_id;//: "553",
    public int res_id;//: "6",
    public String menu_name;//: "Veg Somosa",
    public String menu_type;//: "veg",
    public String menu_size;//: "",
    public float Menu_price;//: "0.70",
    public String Addon_name;//: "",
    public float Addon_price;//: "0",
    public int quantity;//: "2",
    public float Total;//: "1.4",
    public String instruction;//: ""
    public String mainAddons;//: ""
    public String updater_id;//: "
    public boolean sent_to_kitchen;//: "
    public float instruction_price;//: "
    public float ingredients_price;//: "
    public String order_id;
    public String order_spilt_id;
    public String preparation_location_id;
    public String created_order_id;
    //custome use only
    public ArrayList<OrderItemAddon> order_item_addons = new ArrayList<>();
    public ArrayList<OrderItemIngredient> order_item_ingredients = new ArrayList<>();
    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DineinCartItem cartItem = (DineinCartItem) o;
        return menu_id == cartItem.menu_id;
    }

    @Override
    public int hashCode() {
        return Objects.hash(menu_id);
    }
}
