package com.tiffintom.models.DineinModels;

import androidx.room.TypeConverter;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;

import java.io.Serializable;
import java.lang.reflect.Type;
import java.util.ArrayList;

public class ArrayConvertersForDB implements Serializable {
    @TypeConverter
    public static ArrayList<OrderItemAddon> stringToSomeObjectList(String data) {
        if (data == null) {
            return (null);
        }
        Gson gson = new Gson();
        Type listType = new TypeToken<ArrayList<OrderItemAddon>>() {
        }.getType();
        return gson.fromJson(data, listType);
    }

    @TypeConverter
    public static String someObjectListToString(ArrayList<OrderItemAddon> someObjects) {
        Gson gson = new Gson();
        return gson.toJson(someObjects);
    }

    @TypeConverter
    public static ArrayList<OrderItemIngredient> stringToIngredientList(String data) {
        if (data == null) {
            return (null);
        }
        Gson gson = new Gson();
        Type listType = new TypeToken<ArrayList<OrderItemIngredient>>() {
        }.getType();
        return gson.fromJson(data, listType);
    }

    @TypeConverter
    public static String ingredientListToString(ArrayList<OrderItemIngredient> someObjects) {
        Gson gson = new Gson();
        return gson.toJson(someObjects);
    }
}
