package com.tiffintom.models.DineinModels;

import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

/**
 * Created by Aradhna on 17-01-2022.
 */
@Entity
public class DineinOrderItem {
    @PrimaryKey
    public int _id;
    public String id;//??ye kya h??
    public float instruction_price;
    public String updater_id;
    public String product_name;
    public String product_id;
    public boolean sent_to_kitchen;
    public String special_instruction;
    public float price;
    public float addon_price;
    public float ingredient_price;
    public int quantity;
    public float sub_total;
    public float total;
    @Ignore
    public ArrayList<OrderItemAddon> order_item_addons = new ArrayList<>();
    @Ignore
    public ArrayList<OrderItemIngredient> order_item_ingredient = new ArrayList<>();


//    order_items":[{"quantity":1" +
//            order_item_addons":[{"total":"0.00"" +
//            id":"12018"" +
//            quantity":"1"" +
//            price":"0.00"" +
//            updater_id":"6"" +
//            addon_id":"99"}" +
//            total":"2.50"" +
//            id":"12023"" +
//            quantity":"1"" +
//            price":"2.50"" +
//            updater_id":"6"" +
//            addon_id":"19"}]" +
//            instruction_price":"0.00"" +
//            updater_id":"6"" +
//            product_name":"Cheese%20Burger"" +
//            id":"34033"" +
//            total":"5.00"" +
//            sent_to_kitchen":"0"" +
//            addons_price":"2.50"" +
//            special_instruction":""" +
//            price":"2.50"" +
//            product_id":3" +
//            ingredients_price":"0.00"" +
//            sub_total":"2.50"}" +
//            quantity":1" +
//            order_item_addons":[{"total":"2.00"" +
//            id":"12028"" +
//            quantity":"1"" +
//            price":"2.00"" +
//            updater_id":6" +
//            addon_id":72}" +
//            total":"2.50"" +
//            id":12033" +
//            quantity":"1"" +
//            price":"2.50"" +
//            updater_id":6" +
//            addon_id":46}]" +
//            instruction_price":"0.00"" +
//            updater_id":6" +
//            product_name":"Margharita%20Pizza"" +
//            id":"34038"" +
//            total":"10.00"" +
//            sent_to_kitchen":0" +
//            addons_price":"4.50"" +
//            special_instruction":""" +
//            price":"5.50"" +
//            product_id":35" +
//            ingredients_price":"0.00"" +
//            sub_total":"5.50"}" +
//            quantity":1" +
//            instruction_price":"0.00"" +
//            product_name":"Chicken%20Sizzler"" +
//            updater_id":6" +
//            id":34043" +
//            total":"10.00"" +
//            sent_to_kitchen":0" +
//            addons_price":"0.00"" +
//            special_instruction":""" +
//            price":"10.00"" +
//            product_id":95" +
//            ingredients_price":"0.00"" +
//            sub_total":"10.00"}]
}
