package com.tiffintom.models.DineinModels;


import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.ForeignKey;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

/**
 * Created by Aradhna on 29-12-2021.
 */
//For custome use only
@Entity(foreignKeys = @ForeignKey(entity = OrderItem.class, parentColumns = {"_id"}, childColumns = {"_order_item_id"}, onDelete = ForeignKey.CASCADE))
public class OrderItemIngredient {
    @PrimaryKey(autoGenerate = true)
    public int _id;

    @ColumnInfo(index = true)
    public int _order_item_id;

    public String id, order_item_id, order_id, product_ingredient_id, ingredient_id, ingredient_name;
    public int updater_id;
    public float price, total;
    public int quantity;
    public boolean with, without;

    @Ignore
    public ProductIngredients product_ingredient;
}
