package com.tiffintom.models.DineinModels;

import androidx.annotation.NonNull;
import androidx.room.Entity;
import androidx.room.Ignore;
import androidx.room.PrimaryKey;

import java.util.ArrayList;

/**
 * Created by Aradhna on 27-12-2021.
 */
@Entity
public class ProductAddons {
    @PrimaryKey
    @NonNull
    public String id;//": 23,
    public int product_id;//": 28,
    public String addon_id;//": 6,
    public String sequence;//": 23,
    public float min_quantity;//": 0,
    public float max_quantity;//": 8,
    public String disabled;//": false,
    public String created_at;//": "2021-08-27T10:32:17.000000Z",
    public String addon_name;//": "Burger Addons",
    public float price;//": "0.00",
    public float web_price;//": "0.00",
    public float takeaway_price;//": "0.00",
    public float delivery_price;//": "0.00",
    public float waiting_price;//": "0.00",
    public String image_url;//":null,
    public String thumb_url;//":null
    public String category;//custome variable
    @Ignore
    public Addon addon;
    @Ignore
    public int selectedQuantity;//Custome Variables
    @Ignore
    public ArrayList<OrderItemAddon> selectedOrderItemAddon = new ArrayList<>();

}
