package com.tiffintom.models;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

/**
 * Created by Amrish on 01-09-2020.
 */
public class FavouriteRestaurant {
    public int order_count;//": 5,
    public String logo_path;//": "https://storage.tiffintom.com/net/storeImages/3/storeLogo/1396730221536927122.png",
    public float finalReview;//": 4.631578947368421,
    public RestaurantMiniDetails restaurant;

    public class RestaurantMiniDetails {
        public int id;//": 3,

        public String distance;//": "",
        public String restaurant_name;//": "Silsila rst",
        public int user_id;//": 7,
        public String sourcelatitude;//": "52.75713",
        public String sourcelongitude;//": "-1.934756",
        public float free_delivery;//": 0, number of free delivery
        public String minimum_order;//": 10, minumum order value
        public String close;//": "1", 0 for open 1 for close
        public String logo_name;//": "1396730221536927122.png",
        public String currency;//": "£",

        public String contact_name;// "sultans";
        public String contact_phone;// "1234567890";
        public String contact_email;// "kctech@yopmail.com";
        public String contact_address;// "110 Caldmore Road,Walsall WS1 3RB";
        public String street_address;// "110 Caldmore Road,Walsall";
        public int country_id;// 2;
        public String timezone;// "Europe/London";
        public String currency_code;// "GBP";
        public int state_id;// 0;
        public String city_id;// "Walsall";
        public int location_id;// 0;
        public String zipcode;// "WS1 3RB";
             public String username;// "zedh247@yahoo.co.u`k";

        public int deliveryCharge;
        public String image_url;// "https://storage.tiffintom.com/net/storeImages/6/storeLogo/13737455311537002930.png";
        public String servicecharge_delivery;// 1; //1;//true 0;//false
        public String servicecharge_picked;// 1;  //1;//true 0;//false

        public String food_rating;// Rating Script;

        @SerializedName("new")
        public String is_new;// "1"; //1;//new 0;//false (if 1 then show NEW)
        public String is_featured;// "1";
        public String alcahol_available;// "0";
        public String alcahol_not_available;// "0";
        public String bring_your_alcahol;// "0";
        public String soft_drink;// "0";
        public String checkout_message;// "";
        public boolean driver_tip;// 0; // true false
        public int payment_plan;// 1; //booking_id
        public int smart_mps_id;// 0;
        public String RTC;// "No";
        public String delivery_charge;// 0;, No for visibility

        public ArrayList<RestaurantTiming> restaurant_timings;
        public ArrayList<DeliverySetting> delivery_setting;
        public ArrayList<Promotion> promotions;
        public ArrayList<MultiplePriceOffer> multiple_price_offer;
        public ArrayList<Offer> offers;
        public ArrayList<DayOffer> Dayoffer;
        public ArrayList<DayProductOffer> DayProductoffer;
        public ArrayList<DayPriceOffer> DayPriceoffer;
        public ArrayList<ProductOffer> productoffer;
        public ArrayList<PriceOffer> priceoffer;
        public ArrayList<OfferText> offertexts;
        public ArrayList<Review> reviews=new ArrayList<>();
        public ArrayList<MenuItem> restaurant_menus, dinein_restaurant_menus;
        public ArrayList<MenuItemNew> new_restaurant_menu,new_dinein_restaurant_menus;
        public ArrayList<Category> menusDetails;
        public ArrayList<DefaultInstructions> checkout_list;
        public ArrayList<Voucher> voucherLists;
        public ArrayList<RestaurantPaymentMethod> restaurant_payments;
        public int is_favourite; //custom made for frontend only
        public  ArrayList<String> allergies=new ArrayList<>();
        public TimeSlots delivery_time_slot, pickup_time_slot;
    }
}
