package com.tiffintom.models;

import java.util.Objects;

/**
 * Created by Amrish on 02-09-2020.
 */
public class Header {
    public String title;
    public int addonId;
    public int count;
    public int tiffinchat_message_count;

    public Header() {
    }

    public Header(String title) {
        this.title = title;
    }

    public Header(String title, int addonId) {
        this.title = title;
        this.addonId = addonId;
    }

    public Header(String title, int addonId, int count) {
        this.title = title;
        this.addonId = addonId;
        this.count = count;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Header header = (Header) o;
        return addonId == header.addonId;
    }

    @Override
    public int hashCode() {
        return Objects.hash(addonId);
    }
}
