package com.tiffintom.models;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/**
 * Created by Amrish on 23-12-2020.
 */
public class MultiplePriceOffer {
    public String id;//: 7,
    public String resid;//: 3,
    public String delivery_type;//: 1,
    public String pickup_type;//: 0,
    public boolean dinein_type;//: 0,
    public float purchase_price;//: 50,
    public String offer_id;//: "Hyderabadi Keema Kebab,Spicy Chicken Fry,Tava Kebab,Mixed Starter,Bhindi Bhaji,Chicken Pakora,Gobi Bhaji,Sag Paneer,Onion Bhaji,Sheek Kebab",
    public int offer_qty;//: 5,
    public String offer_from;//: "2020-12-17",
    public String offer_to;//: "2020-12-31",
    public String status;//: "1",
    public String created;//: "2020-12-17T12:27:54+00:00",
    public String modified;//: "2020-12-17T12:27:54+00:00"
    public ArrayList<OfferProduct> offerProducts;

    public List<String> getOffers() {
        return Arrays.asList(this.offer_id.split(","));
    }

    public ArrayList<OfferProduct> getProducts() {
        if (offerProducts != null) return offerProducts;
        ArrayList<String> offers = new ArrayList<>(getOffers());
        ArrayList<OfferProduct> offerProducts = new ArrayList<>();
        for (String offer : offers) {
            offerProducts.add(new OfferProduct(offer, false, 0));
        }
        return offerProducts;
    }
}
